import { CoreClient, Module, Args_get, Args_post, Http_Response } from "./wrap";
import { PluginFactory } from "@polywrap/plugin-js";
declare type NoConfig = Record<string, never>;
export declare class HttpPlugin extends Module<NoConfig> {
    get(args: Args_get, _client: CoreClient): Promise<Http_Response | null>;
    post(args: Args_post, _client: CoreClient): Promise<Http_Response | null>;
}
export declare const httpPlugin: PluginFactory<NoConfig>;
export declare const plugin: PluginFactory<Record<string, never>>;
export {};
