import { Http_Request, Http_Response, Http_FormDataEntry } from "./wrap";
import { AxiosResponse, AxiosRequestConfig } from "axios";
import FormData from "form-data";
/**
 * Convert AxiosResponse<string> to Response
 *
 * @param axiosResponse
 */
export declare function fromAxiosResponse(axiosResponse: AxiosResponse<unknown>): Http_Response;
/**
 * Creates AxiosRequestConfig from Request
 *
 * @param request
 */
export declare function toAxiosRequestConfig(request: Http_Request): AxiosRequestConfig;
export declare function toFormData(entries: Http_FormDataEntry[]): FormData;
