import * as Types from "./types";
import { CoreClient, MaybeAsync } from "@polywrap/core-js";
import { PluginModule } from "@polywrap/plugin-js";
export interface Args_get {
    url: Types.String;
    request?: Types.Http_Request | null;
}
export interface Args_post {
    url: Types.String;
    request?: Types.Http_Request | null;
}
export declare abstract class Module<TConfig> extends PluginModule<TConfig> {
    abstract get(args: Args_get, client: CoreClient): MaybeAsync<Types.Http_Response | null>;
    abstract post(args: Args_post, client: CoreClient): MaybeAsync<Types.Http_Response | null>;
}
